SmoDuration: change the duration of a note, maybe at the expense of some other note.

### Hierarchy

- SmoDuration

## Index

### Constructors

- constructor

### Methods

- doubleDurationNonTuplet
- doubleDurationTuplet

## Constructors

### constructor

- new SmoDuration(): SmoDuration

- #### Returns SmoDuration

## Methods

### Static doubleDurationNonTuplet

- doubleDurationNonTuplet(selection: SmoSelection): void

- - Defined in src/smo/xform/tickDuration.ts:38

  doubleDurationNonTuplet double the duration of the selection, consuming the next note or possibly split it in half and consume that. Simple operation so do it inline

  #### Parameters

  - ##### selection: SmoSelection

  #### Returns void

### Static doubleDurationTuplet

- doubleDurationTuplet(selection: SmoSelection): void

- - Defined in src/smo/xform/tickDuration.ts:97

  double duration, tuplet form. Increase the first selection and consume the following note. Also a simple operation

  #### Parameters

  - ##### selection: SmoSelection

  #### Returns void

Generated using TypeDoc